AWS IoT Device SDK C++ v2: Aws::Crt::Io::TlsConnectionOptions Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Friends | List of all members
Aws::Crt::Io::TlsConnectionOptions Class Referencefinal

`#include <TlsOptions.h>`

## Public Member Functions
| TlsConnectionOptions () noexcept
| ~TlsConnectionOptions ()
| TlsConnectionOptions (const TlsConnectionOptions &) noexcept
TlsConnectionOptions & | operator= (const TlsConnectionOptions &) noexcept
| TlsConnectionOptions (TlsConnectionOptions &&options) noexcept
TlsConnectionOptions & | operator= (TlsConnectionOptions &&options) noexcept
bool | SetServerName (ByteCursor &serverName) noexcept
bool | SetAlpnList (const char *alpnList) noexcept
| operator bool () const noexcept
int | LastError () const noexcept

## Friends
class | TlsContext

## Detailed Description

Options specific to a single connection.

## Constructor & Destructor Documentation

## ◆ TlsConnectionOptions() [1/3]

Aws::Crt::Io::TlsConnectionOptions::TlsConnectionOptions | ( |  | ) |
| noexcept

## ◆ ~TlsConnectionOptions()

Aws::Crt::Io::TlsConnectionOptions::~TlsConnectionOptions | ( |  | ) |

## ◆ TlsConnectionOptions() [2/3]

Aws::Crt::Io::TlsConnectionOptions::TlsConnectionOptions | ( | const TlsConnectionOptions & | options | ) |
| noexcept

## ◆ TlsConnectionOptions() [3/3]

Aws::Crt::Io::TlsConnectionOptions::TlsConnectionOptions | ( | TlsConnectionOptions && | options | ) |
| noexcept

## Member Function Documentation

## ◆ LastError()

int Aws::Crt::Io::TlsConnectionOptions::LastError | ( |  | ) | const
| inlinenoexcept

Returns
  the value of the last aws error encountered by operations on this instance.

## ◆ operator bool()

Aws::Crt::Io::TlsConnectionOptions::operator bool | ( |  | ) | const
| inlineexplicitnoexcept

Returns
  true if the instance is in a valid state, false otherwise.

## ◆ operator=() [1/2]

TlsConnectionOptions & Aws::Crt::Io::TlsConnectionOptions::operator= | ( | const TlsConnectionOptions & | options | ) |
| noexcept

## ◆ operator=() [2/2]

TlsConnectionOptions & Aws::Crt::Io::TlsConnectionOptions::operator= | ( | TlsConnectionOptions && | options | ) |
| noexcept

## ◆ SetAlpnList()

bool Aws::Crt::Io::TlsConnectionOptions::SetAlpnList | ( | const char * | alpnList | ) |
| noexcept

Sets list of protocols (semi-colon delimited in priority order) used for ALPN extension. alpnList is copied.

Returns
  true if the copy succeeded, or false otherwise.

## ◆ SetServerName()

bool Aws::Crt::Io::TlsConnectionOptions::SetServerName | ( | ByteCursor & | serverName | ) |
| noexcept

Sets SNI extension, and also the name used for X.509 validation. serverName is copied.

Returns
  true if the copy succeeded, or false otherwise.

## Friends And Related Function Documentation

## ◆ TlsContext

friend class TlsContext
| friend

The documentation for this class was generated from the following files:

- crt/aws-crt-cpp/include/aws/crt/io/TlsOptions.h
- crt/aws-crt-cpp/source/io/TlsOptions.cpp